package com.ruoyi.bst.storage.domain.dto;

import com.ruoyi.bst.storage.domain.Storage;
import com.ruoyi.common.core.validate.ValidGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class DepositStorageDTO {

    @ApiModelProperty("用户电话")
    @NotNull(message = "用户电话不能为空",groups = ValidGroup.Create.class)
    private String phone;

    @ApiModelProperty("备注")
    private String remark;

    @Valid
    @ApiModelProperty("存酒信息")
    @NotNull(message = "存酒信息不能为空",groups = ValidGroup.Create.class)
    private List<Storage> storage;

}
