package com.ruoyi.bst.storage.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.HashSet;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

/**
 * 型号标签
 * 2024/4/22
 */
@AllArgsConstructor
@Getter
public enum StorageStatus {

    COMPLETED("0", "已取完"),
    ACTIVE("1", "可取");

    private final String code;
    private final String name;

}
